/*Un medico almacena la siguiente informacion de sus pacientes:
 nombre, direccion, telefono,fecha de la ultima visita,si es o no privado,
 si tiene alergias y un campo de observaciones.
 Se desea un programa con las siguientes opciones:
1 introduccion de nuevos pacientes.
2 imprimir en pantalla toda la informacion de un paciente.
3 Dado un nombre de paciente encontrar la fecha de la ultima visita.
4 Sacar la lista de todos los pacientes con alergias
5 Sacar la lista de todos los pacientes privados por orden alfabetico
*/


#include <stdio.h>
#include <conio.h>
#define clientes 100
/**********************************************************************/
void privado(pacientes *paciente)
{
int i;
int *p_paciente;
p_paciente=paciente;
for (i=0;i<clientes;i++)
 {
  if (p_paciente->privado==1)
   {
    printf ("\n el nombre de los pacientes privados es: %s ",p_paciente->nombre);
   }
  p_paciente++;
 }
getch();

menu(pacientes);
}

/**********************************************************************/
void alergias(pacientes *paciente)
{
int i;
int clientes=100;
p_paciente=*paciente;
for (i=0;i<clientes;i++)
 {
  if (p_paciente->alergia==1)
   {
    printf ("\n el nombre del paciente es: %s",p_paciente->nombre);
    p_paciente++;
   }
 }
getch();
menu();
}


/**********************************************************************/
void fecha(char *paciente)
{
int nume;
int i;
printf ("\n Introduce el numero del paciente: ");
scnaf ("%d",nume);
p_paciente=paciente;
for (i==nume)
 {
  printf ("\n La ultima fecha de visita al paciente es: %s ",p_paciente->fecha);
  p_paciente++;
  getch();
 }
menu(paciente *);
}

/**********************************************************************/
void menu(char *paciente)
{
char opcion;



		clrscr();
		printf("MENU:\n");
		printf("1.- Introducir pacientes\n");
		printf("2.- Mostrar pacientes\n");
		printf("3.- Ultima visita de un paciente\n");
		printf("4.- Lista de pacientes con alergias\n");
		printf("5.- Listado de pacientes privados ordenados alfabeticamente.\n");
		printf("6.- Borrar pacientes\n");
		printf("7.- Salir del programa\n");
		printf("\Elija opcion [1-7]");
		opcion=getche();

		switch (menu)
		{
			case '1': introduce(pacientes);break;
			case '2': muestra(pacientes);break;
			case '3': busca(pacientes);break;
			case '4': alergia(pacientes);break;
			case '5': privados(pacientes);break;
			default: exit(1);
		}

}
/*************************************************************/
void muestra(char *paciente)
{
int num;
p_paciente=paciente;
printf ("\n ¨Introduce el numero que le corresponde al paciente?: ");
scanf("%d",num);

for (i==num)
 {

	printf ("\n el nombre es: %s",p_paciente->nombre);
	printf ("\n la direccion es: %s",p_paciente->direccion);
	printf ("\n el telefono es: %s",p_paciente->telefono);
	printf ("\n la ultima fecha es: %s",p_paciente->fecha);
	printf ("\n el cliente es privado: %s",p_paciente->privado);
	printf ("\n el cliente es alergico: %s",p_paciente->alergias);
	p_paciente++;

 }
menu(pacientes *);
}
/*********************************************************/
void introduce(char *paciente)
{
p_paciente=paciente;
printf ("\n introduce el nombre del paciente: ");
gets(p_paciente->nombre);
printf ("\n introduce la direccion: ");
gets(p_paciente->direccion);
printf ("\n introduce el telefono: ");
gets(p_paciente->telefono);
printf ("\n introduce ultima fecha: ");
gets(p_paciente->fecha);
printf ("\n introduce si es privado o no 1 si es privado y 0 sino lo es: : ");
gets(p_paciente->privado);
printf ("\n introduce si es alerjico o no 1 si es alergico o 0 sino lo es: ");
gets(p_paciente->alergias);
p_paciente++;
menu(pacientes *);
}


/***************************************************/

struct estructura_paciente
{
 char nombre[100];
 char direccion[100];
 char telefono[100];
 char fecha[100];
 char privado;
 char alergias;
};

struct estructura_paciente paciente[clientes]=
{
 "jose","c/ hiedra","954127539","24-12-03",1,0,
 "ana","c/ lele","954123456","2-1-03",0,1
};

struct estructura_paciente *p_paciente;
/*************************************************************/

void main()

{
int i;
int pacientes;
int paciente;
int *p_paciente;
p_paciente=&paciente;
void menu(pacientes);
clrscr();

}